zebraidx
Prev | Reference | Next

## Name

zebraidx — Zebra Administrative Tool

## Synopsis

`zebraidx` [`-c `config``] [`-d `database``] [`-f `number``] [`-g `group``] [`-l `file``] [`-L`] [`-m `mbytes``] [`-n`] [`-s`] [`-v `level``] [`-t `type``] [`-v`] {`command`} [`file`...]

## DESCRIPTION

zebraidx allows you to insert, delete or updates records in Zebra. zebraidx accepts a set options (see below) and exactly one command (mandatory).

## COMMANDS

update `directory`

  Update the register with the files contained in `directory`. If no directory is provided, a list of files is read from `stdin`. See Administration in the Zebra Manual.

delete `directory`

  Remove the records corresponding to the files found under `directory` from the register.

adelete `directory`

  Remove the records corresponding to the files found under `directory` from the register. Unlike command `delete` this command does not fail if a record does not exist (but which is attempted deleted).

commit

  Write the changes resulting from the last `update` commands to the register. This command is only available if the use of shadow register files is enabled (see Shadow Registers in the Zebra Manual).

check `options`

  Runs consistency check of register. May take a long time. Options may be one of `quick`, `default` or `full`.

clean

  Clean shadow files and "forget" changes.

create `database`

  Create database.

drop `database`

  Drop database (delete database).

init

  Deletes an entire register (all files in shadow+register areas).

## OPTIONS

-c `config-file`

  Read the configuration file `config-file` instead of `zebra.cfg`.

-d `database`

  The records located should be associated with the database name `database` for access through the Z39.50 server.

-f `number`

  Specify how many per-record log lines, zebraidx, should produce during indexing and during register check (check command). If this option is not given, a value of 1000 is used.

-g `group`

  Update the files according to the group settings for `group` (see Zebra Configuration File in the Zebra manual).

-l `file`

  Write log messages to `file` instead of `stderr`.

-L

  Makes zebraidx skip symbolic links. By default, zebraidx follows them.

-m `mbytes`

  Use `mbytes` of memory before flushing keys to background storage. This setting affects performance when updating large databases.

-n

  Disable the use of shadow registers for this operation (see Shadow Registers in the Zebra manual).

-s

  Show analysis of the indexing process. The maintenance program works in a read-only mode and doesn't change the state of the index. This options is very useful when you wish to test a new profile.

-t `type`

  Update all files as `type`. Currently, the types supported are `text`, `alvis` and `grs``.subtype`. Generally, it is probably advisable to specify the record types in the `zebra.cfg` file (see Record Types in the Zebra manual), to avoid confusion at subsequent updates.

-V

  Show Zebra version.

-v `level`

  Set the log level to `level`. `level` should be one of `none`, `debug`, and `all`.

## FILES

`zebra.cfg`

## SEE ALSO

zebrasrv(8)

Prev | Up | Next
Reference | Home | zebrasrv